CREATE TABLE ffs_filter (
    FILTER_ID            NUMBER(8, 0)  ,
    ENTITY               NUMBER(8, 0)      NOT NULL,
    FORMS                NUMBER(10, 0)     NOT NULL,
    LABEL                VARCHAR2(512) ,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    SEED_DATA_SOURCE     VARCHAR2(2048),
    ORA_SEED_SET1        VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2        VARCHAR2(4)       NOT NULL,
    DELETED_FLAG         VARCHAR2(4)   ,
    FILTER_ID            NUMBER(8, 0)  ,
    ENTITY               NUMBER(8, 0)      NOT NULL,
    FORMS                NUMBER(10, 0)     NOT NULL,
    LABEL                VARCHAR2(512) ,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    SEED_DATA_SOURCE     VARCHAR2(2048),
    ORA_SEED_SET1        VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2        VARCHAR2(4)       NOT NULL,
    DELETED_FLAG         VARCHAR2(4)   ,
    CONSTRAINT pk_ffs_filter PRIMARY KEY (FILTER_ID, FILTER_ID)
);
